/*
 * Copyright (c) 1993 Parallax Graphics Inc.
 */

#ifndef _TVTWO_FB_H_
#define _TVTWO_FB_H_

#pragma ident "@(#)tvtwo_fb.h	1.2 Copyright (c) 1993 Parallax Graphics Inc"

#include <sys/fbio.h>
#include <pixrect/pixrect.h>
#include "cg4var.h"
#include "tv2var.h"
#include "xvideo.h"

typedef struct tvtwo_fbd {
	union fbunit omap_rgb[TV2_OMAP_SIZE];
	struct proc *owner;
	struct fbgattr gattr;
	u_int h;
	u_int w;
	kmutex_t pr_lock;
	Pixrect pr;
	struct cg4_data cgd;
	caddr_t fb[TV2_NFBS]; /* init to m1,m1,m8 base addr */
	u_int blank;
	caddr_t m1;
	caddr_t m8;
} tvtwo_fbd;

#endif
