#include <stdio.h>
extern void exit();
extern char *getenv();

void main(int argc, char *argv[])
{
	FILE *fp;
	char c;
	char *work, *arc;
	char *var0 = " %EVENTNAME% ";
	char *var1 = " %EVENTLOCK% 1> E:\\tmp\\elog 2>&1\n";
	if(argc != 3)
		goto usage;
	if(*argv[1] == 'v')
	{
		printf("vol %c:\n", *argv[2]);
		exit(0);
	}
	else if(*argv[1] == 'r')
	{
		if((work = getenv("EVENTWORKFILE")) == NULL)
		{
			fprintf(stderr, "no EVENTWORKFILE env var\n");
			exit(1);
		}
		if((arc = getenv("EVENTARCHIVE")) == NULL)
		{
			fprintf(stderr, "no EVENTARCHIVE env var\n");
			exit(1);
		}
		if((fp = fopen(argv[2], "r")) == NULL)
		{
			perror(argv[2]);
			exit(1);
		}
		while((c = fgetc(fp)) != '/' && (c != EOF));
		if(c == EOF)
		{
			fprintf(stderr, "bad file %s\n", argv[2]);
			exit(1);
		}
		printf("rsh cheddar /home/dave/scripts/pvcsevent ");
		printf("%s ", var0);
		do
		{
			putc(c, stdout);
		} while((c = fgetc(fp)) != '\n');
		while(*work && (*work++ != ':'));
		while(*work)
		{
			if(*work == '\\')
				putc('/', stdout);
			else
				putc(*work, stdout);
			++work;
		}
		while((c = fgetc(fp)) != '/' && (c != EOF));
		if(c == EOF)
		{
			fprintf(stderr, "bad file %s\n", argv[2]);
			exit(1);
		}
		putc(' ', stdout);
		do
		{
			putc(c, stdout);
		} while((c = fgetc(fp)) != '\n');
		while(*arc && (*arc++ != ':'));
		while(*arc)
		{
			if(*arc == '\\')
				putc('/', stdout);
			else
				putc(*arc, stdout);
			++arc;
		}
		printf(" %s", var1);
		exit(0);
	}
usage:
	fprintf(stderr, "usage: bldcmd v path or r volfile \n");
	exit(1);
}