
typedef struct {
        int type,
	    squeeze_w,  squeeze_h,
	    x, y,

	    video_w,    video_h,
	    record_start_x, record_start_y, /* driver  */
	    record_flash_start_y,

	    play_w, play_h,
	    play_start_x,   play_start_y,   /* driver  */
	    play_flash_start_y,

	    output_w,   output_h,
	    output_x,   output_y,
	    output_align_x, output_align_y,
	    output_start_y,

	    non_interlaced,
	    fieldrate;
} RTVFORMAT;

RTVFORMAT *GetVideoFormat(), *SetToVideoFormat();

extern RTVFORMAT VideoFormatList[];
extern int CurrentVideoFormat;

#define VIDEO_FORMAT_NTSC 0
#define VIDEO_FORMAT_PAL  1

#define CCUBE_TO_SCREEN 0
#define DIGITIZER_TO_SCREEN 1

#define FLASH_CONTINOUS 0
#define FLASH_SINGLE 1
