/*
 * Copyright (c) 1993 Parallax Graphics Inc.
 */

#ifndef _XVIDEO_H_
#define _XVIDEO_H_

#pragma ident "@(#)xvideo.h	1.1 Copyright (c) 1993 Parallax Graphics Inc"

/* 
 * there are PLXV_TAG_VIDEO_LEN video tag values, beginning at
 * PLXV_TAG_VIDEO_0, ending at PLXV_TAG_VIDEO_0+PLXV_TAG_VIDEO_LEN-1
 */

#define PLXV_TAG_DISPLAY_ATTR	0x30
#define PLXV_TAG_CURSOR_MAP	0x40
#define PLXV_TAG_CURSOR_ENAB	0x80
#define PLXV_TAG_CURSOR_ALL	0xc0
#define PLXV_TAG_PIXEL_ATTR	0x3f
#define PLXV_TAG_ALL		0xff

/* WMASK VALUES */
#define PLXV_WMASK_24		0x00ffffff
#define PLXV_WMASK_ALL		0xffffffff
#define PLXV_WMASK_PIXEL_ALL	0x3fffffff
#define PLXV_WMASK_DISPLAY_ATTR	0x30000000
#define PLXV_WMASK_CURSOR_MAP	0x40000000
#define PLXV_WMASK_CURSOR_ENAB	0x80000000
#define PLXV_WMASK_CURSOR_ALL	0xc0000000
#define PLXV_WMASK_PIXEL_ATTR	0x3f000000
#define PLXV_WMASK_TAG_ALL	0xff000000

/*rop names */
#define PLXV_ROP_CLEAR		0
#define PLXV_ROP_AND		1
#define PLXV_ROP_ANDREVERSE	4
#define PLXV_ROP_COPY		5
#define PLXV_ROP_ANDINVERTED	2
#define PLXV_ROP_NOOP		3
#define PLXV_ROP_XOR		6
#define PLXV_ROP_OR		7
#define PLXV_ROP_NOR		8
#define PLXV_ROP_EQUIV		9
#define PLXV_ROP_INVERT		0xc
#define PLXV_ROP_ORREVERSE	0xb
#define PLXV_ROP_COPYINVERTED	0xa
#define PLXV_ROP_ORINVERTED	0xd
#define PLXV_ROP_NAND		0xe
#define PLXV_ROP_SET		0xf

/* TAG DEFINITIONS */
#define PLXV_TAG_PSEUDO_COLOR	0x00
#define PLXV_TAG_TRUE_COLOR	0x10

#endif
