
#ifdef _AIX
#define PV_MMAP 1	/* map board mem to user */
#define PV_INTR 2	/* just generate an int */
#define PV_ITAB 3	/* initialize dump table */
#define PV_DTAB 4	/* return contents of dump table */
#define PV_DISP_ONOFF 5 /* turn display ints on or off*/
#define PV_RES_SET 6	/* set vertical resolution */
#define PV_POWER 7	/* set power managment */
#define PV_POWER_UP 8	/* call for powering up after hibernation */
#endif

#ifdef __hpux
#define PV_DISP_ONOFF GCTEST	/* turn display ints on or off*/
#define PV_RES_SET GCTEST		/* set vertical resolution */
#endif

#ifdef sun
#define PV_DISP_ONOFF (('P'<<8)|5)	/* turn display ints on or off*/
#define PV_RES_SET (('P'<<8)|6)		/* set vertical resolution */
#endif

/* timming related stuff for PV_ITAB, and PV_DTAB ioctls */

typedef struct _tbuf
{
	char where[32];
	unsigned int time;
} tbuf;

#define DUMP(p, s) if(tbi < 1024)				\
		   {						\
		     PV_RREG((p), dmpbuf[tbi].time, TmrCnt.l);	\
		     strncpy(dmpbuf[tbi].where, (s), 32);	\
		     ++tbi;					\
		   }

